### Method

# St Widget get_theme_node

#### Declaration [src]

    StThemeNode*
    st_widget_get_theme_node (
      StWidget* widget
    )

#### Description [src]

Gets the theme node holding style information for the widget. The theme node is used to access standard and custom CSS properties of the widget.

Note: it is a fatal error to call this on a widget that is not been added to a stage.

#### Return value

Type: `StThemeNode`

The theme node for the widget. This is owned by the widget. When attributes of the widget or the environment that affect the styling change (for example the style_class property of the widget), it will be recreated, and the ::style-changed signal will be emitted on the widget.

The data is owned by the instance.